# Interface TrackedWebResource

All Superinterfaces:
  `AutoCloseable, Closeable`

public interface TrackedWebResource extends Closeable
Represents a web resource that tracks its creation source for leak detection.

## Method Summary

Modifier and Type
Method
Description
`Exception`
`getCreatedBy()`
Returns the stack trace of the code that created this resource.
`String`
`getName()`
Returns the name of this resource.

### Methods inherited from interface Closeable

`close`

## Method Details

### getCreatedBy

Exception getCreatedBy()
Returns the stack trace of the code that created this resource.

Returns:
  the creation stack trace

### getName

String getName()
Returns the name of this resource.

Returns:
  the resource name